# Ogre::Quake3Shader Class Reference

Class for recording Quake3 shaders. More...

`#include <OgreQuake3Shader.h>`

List of all members.

## Public Types

typedef std::vector< Pass > | PassList

## Public Member Functions

| Quake3Shader (const String &name)
| Default constructor - used by Quake3ShaderManager (do not call directly).
| ~Quake3Shader ()
MaterialPtr | createAsMaterial (int lightmapNumber)
| Creates this shader as an OGRE material.

## Public Attributes

unsigned int | flags
int | numPasses
PassList | pass
bool | farbox
String | farboxName
bool | skyDome
Real | cloudHeight
DeformFunc | deformFunc
Real | deformParams [5]
ManualCullingMode | cullMode
bool | fog
ColourValue | fogColour
Real | fogDistance

## Protected Member Functions

String | getAlternateName (const String &texName)

## Protected Attributes

String | mName

## Detailed Description

Class for recording Quake3 shaders.

This is a temporary holding area since shaders are actually converted into Material objects for use in the engine proper. However, because we have to read in shader definitions en masse (because they are stored in shared .shader files) without knowing which will actually be used, we store their definitions here temporarily since their instantiations as Materials would use precious resources because of the automatic loading of textures etc.

Definition at line 47 of file OgreQuake3Shader.h.

## Member Typedef Documentation

typedef std::vector<Pass> Ogre::Quake3Shader::PassList

| Definition at line 99 of file OgreQuake3Shader.h.

## Constructor & Destructor Documentation

Ogre::Quake3Shader::Quake3Shader | ( | const String & | name | ) |

| Default constructor - used by Quake3ShaderManager (do not call directly).

Ogre::Quake3Shader::~Quake3Shader | ( |  | ) |

## Member Function Documentation

MaterialPtr Ogre::Quake3Shader::createAsMaterial | ( | int | lightmapNumber | ) |

| Creates this shader as an OGRE material. Creates a new material based on this shaders settings. Material name shader#lightmap.

String Ogre::Quake3Shader::getAlternateName | ( | const String & | texName | ) | `[protected]`

## Member Data Documentation

Real Ogre::Quake3Shader::cloudHeight

| Definition at line 104 of file OgreQuake3Shader.h.

ManualCullingMode Ogre::Quake3Shader::cullMode

| Definition at line 107 of file OgreQuake3Shader.h.

DeformFunc Ogre::Quake3Shader::deformFunc

| Definition at line 105 of file OgreQuake3Shader.h.

Real Ogre::Quake3Shader::deformParams[5]

| Definition at line 106 of file OgreQuake3Shader.h.

bool Ogre::Quake3Shader::farbox

| Definition at line 101 of file OgreQuake3Shader.h.

String Ogre::Quake3Shader::farboxName

| Definition at line 102 of file OgreQuake3Shader.h.

unsigned int Ogre::Quake3Shader::flags

| Definition at line 97 of file OgreQuake3Shader.h.

bool Ogre::Quake3Shader::fog

| Definition at line 109 of file OgreQuake3Shader.h.

ColourValue Ogre::Quake3Shader::fogColour

| Definition at line 110 of file OgreQuake3Shader.h.

Real Ogre::Quake3Shader::fogDistance

| Definition at line 111 of file OgreQuake3Shader.h.

String Ogre::Quake3Shader::mName `[protected]`

| Definition at line 51 of file OgreQuake3Shader.h.

int Ogre::Quake3Shader::numPasses

| Definition at line 98 of file OgreQuake3Shader.h.

PassList Ogre::Quake3Shader::pass

| Definition at line 100 of file OgreQuake3Shader.h.

bool Ogre::Quake3Shader::skyDome

| Definition at line 103 of file OgreQuake3Shader.h.

The documentation for this class was generated from the following file:

- OgreQuake3Shader.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:05:40 2006